A continuous routing cycle, woven from whirlpools: rendering live in your browser.
Milestone instrument. This page documents the earlier single-spin prototype engine (
planck3.c), whose stable knots first showed the lattice could hold woven structure. The active engine ismoore26, Cartan's Cascade, and the current measured record is moore26 Findings; themeso3iinstrument Joule's Mill and its monograph are the archived predecessor.
What you're looking at is a Hopfion: a localized standing wave of extreme routing congestion made of 400,000 tiny cells, each one routing data and resolving friction according to the exact same thermodynamic rules that power Langevin's Wake. It opens in metabolism view, a thermal portrait, not a photograph: the ember ring is the intense phase friction continuously generated to maintain the loop, while the dim red darkness is the surrounding vacuum. Rendered faint because empty cells are culled from the thermal palette (per the substrate's own accounting the vacuum runs warm; it is the phase-locked knot that freezes). Because the underlying flow is woven into a perfectly closed, phase-locked loop, it continuously re-renders itself without unraveling.
And it's running. This is not a video: the little universe is ticking away in a real physics engine inside your browser tab.
On the older substrates this routing pattern was impossible. Continuously painted 3D topologies decayed or collapsed within seconds. This one maintains its coherence because it was woven, not painted: its flow was exact-traced cell-to-cell around closed loops, like thread on a loom, until every strand perfectly meshed with its origin. That's the name. Whether the thermodynamic routing in our universe works this exact way is an open question, but here, closed-loop weaving is what allows a macroscopic boundary to persistently re-render itself.
src/planck3.c compiled to WebAssembly, the same register set as the 2D engine (8-bit quanta, 8-bit spin, 16-bit heat, buffer, tension), same canonical physics: Phase Lock, FLOW_CAP routing, occupancy congestion, tension divert, unwind spray, quadrature dissipation.test/loom/t0.bin/t400.bin regression vectors).quanta+spin are packed into an RG8 buffer inside the Wasm heap (planck3_rg_refresh) and uploaded per tick via gl.texSubImage3D: the physics state never crosses into a JavaScript array. In metabolism mode the G channel carries scene-normalized heat (thermal-camera style min→max over live cells), so the palette always spans the structure's full internal gradient rather than absolute temperature. One instanced draw renders all 400k cells as soft billboard quads; the vertex shader applies the hex-plane embedding at √(2/3) layer spacing, culls vacuum, and ghosts anything outside the slice slab to ~6% alpha so the silhouette stays readable.
19 nested closed field-line loops traced by a memoized depth-first search over the port graph. Each loop only painted if it returned to its seed within Phase-Lock tolerance on every hop. 27,971 painted cells, in-degree exactly 1 everywhere, hold = 1.00 through t=400: the structure never deviates from its traced routing pattern.
coh = 0.61, not 1.00: that metric counts cells whose quantized port lies within 60° of the continuum ideal field; it's a quantization ceiling, not an instability.The complete chain: RFC-043's closed-streamline law → the RFC-047 tracing failure → the RFC-048 crystallography fix → the RFC-049 C port → this renderer. Lives in the audit log: The Interference.